<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
 *	  Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <title>Building an NBM File</title>
    <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>
    <h2>Building an NBM File</h2>
    <p><small> 
        <a href="#seealso">See Also</a> 
    </small></p>
    <p>An <a href="../about/about-nbm.html">NBM file</a>
    is a NetBeans module in binary format,
    packaged for delivery via the web. 

    <p><b>To build an NBM file:</b>

    <ol><li>In the Projects window, right-click the node of the
    module project you want to build.
    <li>Choose Create NBM.</ol>
    
    <p><b>To build all NBM files in a module suite:</b>

    <ol><li>In the Projects window, right-click the node of the
    module suite project you want to build.
    <li>Choose Create NBMs.</ol>

    <ul class="note"><li>When you choose Create NBMs in
    a module suite's contextual menu, an autoupdate
    descriptor is generated by the IDE. The autoupdate descriptor
    describes all the NBM files. When you put the autoupdate
    descriptor on a server, your users can access it and retrieve
    your NBM files via the autoupdate descriptor. For details, see
    <a href="../distribute_plugin/generate_autoupdate_descriptor.html">Generating an Autoupdate Descriptor</a>.</ul>




    <dl>
        <dt><a name="seealso">See Also</a></dt>
        <dd>  <a href="../about/nbmodule-about.html">About NetBeans Platform and Module Development</a></dd>
        <dd>  <a href="building_plugins.html">Building a Module</a></dd>
    
    </dl> 
    <hr>
    <small><a href="../credits.html">Legal Notices</a></small> 
    <table cellpadding="20" border="0"> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
    </table> 
</body></html>
